> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/private-endpoints/deposits/get-withdrawal/get-digital-asset.md).

# GET: Digital Asset

#### `GET /withdrawals/digital_asset_addresses` <a href="#get-withdrawals-digital_asset_addresses" id="get-withdrawals-digital_asset_addresses"></a>

```
const getWithdrawalAddresses = () => {
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/withdrawals/digital_asset_addresses' + '{}'
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    json: true
  }

  return request.get(
    `https://api.ndax.in/withdrawals/digital_asset_addresses?participant_code=YOUR_PARTICIPANT_CODE`,
    options
  )
}
```

> Sample Response

```
{
  "message": [
    {
      "withdrawal_account_id": 432,
      "name": "Fund Yes Wallet",
      "address": "M9zjMhjaPfwaeyeH2SY6aWyGqdTS9feg8Z",
      "status": "APPROVED",
      "limit": 1000,
      "asset": "LTC",
      "last_update": 1554395972174,
      "submitted_address": "33nb3pKcSZ69rUNNvZYkksisWvrzCmi3Jt",
      "participant_code": "ABCDEF"
    }
  ],
  "page": 1,
  "total_pages": 1
}
```

Returns an array of all withdrawal addresses created by users as part of your participant.

Query parameters include:

* `participant_code` (optional) will default to the participant the API key was created for
* `page` (optional) for paginating through your list of addresses

Response:

<table><thead><tr><th width="221.33333333333331">Parameter</th><th width="457">Description</th><th>Type</th></tr></thead><tbody><tr><td>withdrawal_account_id</td><td>The ID of the withdrawal account the address belongs to</td><td>number</td></tr><tr><td>name</td><td>The nickname the address was given when it was created</td><td>string</td></tr><tr><td>address</td><td>The blockchain address</td><td>string</td></tr><tr><td>status</td><td>The approval status of the address</td><td>string</td></tr><tr><td>asset</td><td>The asset code for the specific account, e.g. <code>BTC</code></td><td>string</td></tr><tr><td>limit</td><td>The limit applied to the account on a per-withdrawal basis</td><td>number</td></tr><tr><td>last_update</td><td>Timestamp for when the withdrawal address last update</td><td>timestamp</td></tr><tr><td>submitted_address</td><td>This is the original value for an address submitted by you, that was converted into a newer format supported by NDAX- this will be null if no conversion is necessary</td><td>string</td></tr><tr><td>participant_code</td><td>The participant the request belongs to, e.g. <code>ABCDEF</code></td><td>string</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/deposits/get-withdrawal/get-digital-asset.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
